restinio::connection_count_limits::connection_count_limiter_t< noop_strand_t > Class Reference

Implementation of connection count limiter for single-threading mode. More...

`#include <connection_count_limiter.hpp>`

Inheritance diagram for restinio::connection_count_limits::connection_count_limiter_t< noop_strand_t >:

## Private Types

using | base_t = connection_count_limits::impl::actual_limiter_t< null_mutex_t >

## Additional Inherited Members

Public Member Functions inherited from restinio::connection_count_limits::impl::actual_limiter_t< null_mutex_t >
| actual_limiter_t (not_null_pointer_t< acceptor_callback_iface_t > acceptor, max_parallel_connections_t max_parallel_connections, max_active_accepts_t max_pending_indexes)
| actual_limiter_t (const actual_limiter_t &)=delete
| actual_limiter_t (actual_limiter_t &&)=delete
void | increment_parallel_connections () noexcept
void | decrement_parallel_connections () noexcept
void | accept_next (std::size_t index) noexcept

## Detailed Description

Implementation of connection count limiter for single-threading mode.

In single-threading mode there is no need to protect limiter from access from different threads. So null_mutex_t is used.

Since
  v.0.6.12

Definition at line 322 of file connection_count_limiter.hpp.

## Member Typedef Documentation

## base_t

using restinio::connection_count_limits::connection_count_limiter_t< noop_strand_t >::base_t = connection_count_limits::impl::actual_limiter_t< null_mutex_t >

private

Definition at line 325 of file connection_count_limiter.hpp.

The documentation for this class was generated from the following file:

- restinio/connection_count_limiter.hpp